Skip to main content
`Ctrl`+`K`

# PEPTOARGetLocking

Gets the locking flag used in the TOAR method.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPTOARGetLocking(PEP pep,PetscBool *lock)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- lock - the locking flag

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPTOAR`, `PEPTOARSetLocking()`

## Level

advanced

## Location

src/pep/impls/krylov/toar/ptoar.c

## Implementations

PEPTOARGetLocking_TOAR() in src/pep/impls/krylov/toar/ptoar.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages